"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transpileCode = void 0;
/**
 *  Bitloops Language CLI
 *  Copyright (C) 2022 Bitloops S.A.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 *  For further information you can contact legal(at)bitloops.com.
 */
const bl_transpiler_1 = require("@bitloops/bl-transpiler");
const supportedLanguages_js_1 = require("../helpers/supportedLanguages.js");
const generateSetupModel_js_1 = require("./generateSetupModel.js");
const readFilesContents_js_1 = require("./readFilesContents.js");
const DEFAULT_OPTIONS = {
    formatterConfig: null,
    targetLanguage: supportedLanguages_js_1.SupportedLanguages.TypeScriptNest,
};
const transpileCode = async (boundedContextModules, sourceDirPath, options = DEFAULT_OPTIONS) => {
    const core = await (0, readFilesContents_js_1.getBitloopsFilesAndContents)(boundedContextModules, sourceDirPath);
    const setup = (0, generateSetupModel_js_1.readSetupData)(sourceDirPath);
    const input = {
        core,
        setup,
    };
    const result = bl_transpiler_1.transpiler.transpile(input, options);
    if (bl_transpiler_1.Transpiler.isTranspileError(result)) {
        throw result;
    }
    return result;
};
exports.transpileCode = transpileCode;
//# sourceMappingURL=transpile.js.map