"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.printError = exports.inquirerSimpleConfirm = exports.inquirerFuzzy = void 0;
const inquirer_1 = require("inquirer");
// import path from 'path';
const inquirer_path_1 = require("inquirer-path");
const oraUtils_js_1 = require("../utils/oraUtils.js");
const inquirerFuzzy = async (q, source) => {
    inquirer_1.default.registerPrompt('path', inquirer_path_1.PathPrompt);
    const answer = await inquirer_1.default.prompt([
        {
            type: 'path',
            name: q.name,
            directoryOnly: true,
            default: q.default,
            message: q.message,
            cwd: '.',
        },
    ], source);
    const inputPath = answer[q.name];
    return inputPath;
};
exports.inquirerFuzzy = inquirerFuzzy;
const inquirerSimpleConfirm = async (name, message = '', def = '') => {
    const question = [
        {
            type: 'confirm',
            name: name,
            default: def,
            message: message,
        },
    ];
    const answers = await inquirer_1.default.prompt(question);
    return answers[name];
};
exports.inquirerSimpleConfirm = inquirerSimpleConfirm;
const printError = (message) => {
    console.log(oraUtils_js_1.TAB + '❌ ' + (0, oraUtils_js_1.redColor)(message));
};
exports.printError = printError;
//# sourceMappingURL=inquirer.js.map